Index: INSTALL
===================================================================
--- INSTALL	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ INSTALL	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,2 +1,6 @@
+$LastChangedBy$
+$Date$
+
+
 Ok, so you have downloaded the XML source. Now what? You are probably
 wanting to convert these XML files to easier to read HTML.
@@ -13,4 +17,4 @@
 The installation instructions for all these packages are available
 in the BLFS book from one of the mirrors found at
-https://www.linuxfromscratch.org/blfs.
+http://www.linuxfromscratch.org/blfs.
 
Index: Makefile
===================================================================
--- Makefile	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ Makefile	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -2,4 +2,6 @@
 # By Tushar Teredesai <tushar@linuxfromscratch.org>
 # 2004-01-31
+# $LastChangedBy$
+# $Date$
 
 # Adjust these to suit your installation
@@ -50,55 +52,9 @@
 blfs: html wget-list
 
-help:
-	@echo ""
-	@echo "make <parameters> <targets>"
-	@echo ""
-	@echo "Parameters:"
-	@echo "  REV=<rev>            Build variation of book"
-	@echo "                       Valid values for REV are:"
-	@echo "                       * sysv    - Build book for SysV"
-	@echo "                       * systemd - Build book for systemd"
-	@echo "                       Defaults to 'sysv'"
-	@echo ""
-	@echo "  BASEDIR=<dir>        Put the output in directory <dir>."
-	@echo "                       Defaults to"
-	@echo "                       'HOME/public_html/blfs-book' if REV=sysv (or unset)"
-	@echo "                       or to"
-	@echo "                       'HOME/public_html/blfs-book-systemd' if REV=systemd"
-	@echo ""
-	@echo "  V=<val>              If <val> is a non-empty value, all"
-	@echo "                       steps to produce the output is shown."
-	@echo "                       Default is unset."
-	@echo ""
-	@echo "Targets:"
-	@echo "  help                 Show this help text."
-	@echo ""
-	@echo "  blfs                 Builds targets 'html' and 'wget-list'."
-	@echo ""
-	@echo "  html                 Builds the HTML pages of the book."
-	@echo ""
-	@echo "  wget-list            Produces a list of all packages to download."
-	@echo "                       Output is BASEDIR/wget-list"
-	@echo ""
-	@echo "  nochunks             Builds the book as a one-pager. The output"
-	@echo "                       is a large single HTML page containing the"
-	@echo "                       whole book."
-	@echo ""
-	@echo "                       Parameter NOCHUNKS_OUTPUT=<filename> controls"
-	@echo "                       the name of the HTML file."
-	@echo ""
-	@echo "  validate             Runs validation checks on the XML files."
-	@echo ""
-	@echo "  test-links           Runs validation checks on URLs in the book."
-	@echo "                       Produces a file named BASEDIR/bad_urls containing"
-	@echo "                       URLS which are invalid and a BASEDIR/good_urls"
-	@echo "                       containing all valid URLs."
-	@echo ""
-
 all: blfs nochunks
 world: all blfs-patch-list dump-commands test-links
 
 html: $(BASEDIR)/index.html
-$(BASEDIR)/index.html: $(RENDERTMP)/$(BLFSHTML) version
+$(BASEDIR)/index.html: $(RENDERTMP)/$(BLFSHTML)
 	@echo "Generating chunked XHTML files..."
 	$(Q)xsltproc --nonet                                    \
@@ -115,5 +71,4 @@
 
 	$(Q)cp stylesheets/lfs-xsl/*.css $(BASEDIR)/stylesheets
-	$(Q)sed -i 's|../stylesheet|stylesheet|' $(BASEDIR)/index.html
 
 	$(Q)if [ ! -e $(BASEDIR)/images ]; then \
@@ -130,9 +85,9 @@
       true;                                                       \
       bash obfuscate.sh $$filename;                               \
-      sed -i -e "1,20s@text/html@application/xhtml+xml@g" $$filename; \
+      sed -i -e "s@text/html@application/xhtml+xml@g" $$filename; \
    done;
 
 nochunks: $(BASEDIR)/$(NOCHUNKS_OUTPUT)
-$(BASEDIR)/$(NOCHUNKS_OUTPUT): $(RENDERTMP)/$(BLFSHTML) version
+$(BASEDIR)/$(NOCHUNKS_OUTPUT): $(RENDERTMP)/$(BLFSHTML)
 	@echo "Generating non-chunked XHTML file..."
 	$(Q)xsltproc --nonet                                \
@@ -145,5 +100,5 @@
 	$(Q)tidy -config tidy.conf $(BASEDIR)/$(NOCHUNKS_OUTPUT) || true
 	$(Q)bash obfuscate.sh $(BASEDIR)/$(NOCHUNKS_OUTPUT)
-	$(Q)sed -i -e "1,20s@text/html@application/xhtml+xml@g" $(BASEDIR)/$(NOCHUNKS_OUTPUT)
+	$(Q)sed -i -e "s@text/html@application/xhtml+xml@g" $(BASEDIR)/$(NOCHUNKS_OUTPUT)
 
 tmpdir: $(RENDERTMP)
@@ -157,5 +112,5 @@
 
 validate: $(RENDERTMP)/$(BLFSFULL)
-$(RENDERTMP)/$(BLFSFULL): general.ent packages.ent $(ALLXML) $(ALLXSL) version
+$(RENDERTMP)/$(BLFSFULL): general.ent packages.ent $(ALLXML) $(ALLXSL)
 	$(Q)[ -d $(RENDERTMP) ] || mkdir -p $(RENDERTMP)
 
@@ -176,5 +131,5 @@
 
 profile-html: $(RENDERTMP)/$(BLFSHTML)
-$(RENDERTMP)/$(BLFSHTML): $(RENDERTMP)/$(BLFSFULL) version
+$(RENDERTMP)/$(BLFSHTML): $(RENDERTMP)/$(BLFSFULL)
 	@echo "Generating profiled XML for XHTML..."
 	$(Q)xsltproc --nonet                              \
@@ -189,5 +144,5 @@
 	  blfs-patches.sh > blfs-patch-list
 
-blfs-patches.sh: $(RENDERTMP)/$(BLFSFULL) version
+blfs-patches.sh: $(RENDERTMP)/$(BLFSFULL)
 	@echo "Generating blfs patch script..."
 	$(Q)xsltproc --nonet                     \
@@ -197,5 +152,5 @@
 
 wget-list: $(BASEDIR)/wget-list
-$(BASEDIR)/wget-list: $(RENDERTMP)/$(BLFSFULL) version
+$(BASEDIR)/wget-list: $(RENDERTMP)/$(BLFSFULL)
 	@echo "Generating wget list for $(REV) at $(BASEDIR)/wget-list ..."
 	$(Q)mkdir -p $(BASEDIR)
@@ -206,5 +161,5 @@
 
 test-links: $(BASEDIR)/test-links
-$(BASEDIR)/test-links: $(RENDERTMP)/$(BLFSFULL) version
+$(BASEDIR)/test-links: $(RENDERTMP)/$(BLFSFULL)
 	@echo "Generating test-links file..."
 	$(Q)mkdir -p $(BASEDIR)
@@ -258,5 +213,5 @@
 
 dump-commands: $(DUMPDIR)
-$(DUMPDIR): $(RENDERTMP)/$(BLFSFULL) version
+$(DUMPDIR): $(RENDERTMP)/$(BLFSFULL)
 	@echo "Dumping book commands..."
 	$(Q)xsltproc --output $(DUMPDIR)/          \
@@ -267,6 +222,5 @@
 .PHONY: blfs all world html nochunks tmpdir clean  \
    validate profile-html blfs-patch-list wget-list test-links \
-   dump-commands  bootscripts systemd-units version
-
-version:
-	$(Q)./git-version.sh
+   dump-commands  bootscripts systemd-units
+
+
Index: README
===================================================================
--- README	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ README	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,2 +1,5 @@
+$LastChangedBy$
+$Date$
+
 How do I convert these XML files to HTML? You need to have some software
 installed that deal with these conversions. Please read the INSTALL file to
Index: archive/jdk.SAVE
===================================================================
--- archive/jdk.SAVE	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ archive/jdk.SAVE	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -34,5 +34,6 @@
 
   <sect1info>
-    <date>$Date$</date>
+    <othername>$LastChangedBy: randy $</othername>
+    <date>$Date: 2008-05-10 13:50:47 -0500 (Sat, 10 May 2008) $</date>
   </sect1info>
 
Index: general.ent
===================================================================
--- general.ent	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ general.ent	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,23 +1,16 @@
-<!-- version info generated from git commit,
-     comment out the following two lines for release. -->
-<!ENTITY % version-entities SYSTEM "version.ent">
-%version-entities;
+<!-- $LastChangedBy$ $Date$ -->
 
-<!-- uncomment the following entities and modify them for release,
-     month and year should be always 2 digits. -->
-<!--
-<!ENTITY day            "01">
-<!ENTITY month          "09">
-<!ENTITY year           "2021">
-<!ENTITY copyrightdate  "2001-2021">
-<!ENTITY version        "11.0">
-<!ENTITY releasedate    "September 1st, &year;">
-<!ENTITY pubdate        "&year;-&month;-&day;">
--->
-
+<!ENTITY day          "03">                   <!-- Always 2 digits -->
+<!ENTITY month        "01">                   <!-- Always 2 digits -->
+<!ENTITY year         "2021">
+<!ENTITY copyrightdate "2001-&year;">
 <!ENTITY copyholder   "The BLFS Development Team">
+<!ENTITY version      "&year;-&month;-&day;">
+<!ENTITY releasedate  "January 3rd, &year;">
+<!ENTITY pubdate      "&year;-&month;-&day;"> <!-- metadata req. by TLDP -->
 <!ENTITY blfs-version "svn">                  <!-- svn|[release #] -->
 <!ENTITY lfs-version  "development">          <!-- x.y|development -->
 <!ENTITY lfs-versiond "systemd">              <!-- x.y-systemd|systemd -->
+<!ENTITY last-commit  "$Date$"> <!-- Automatic update -->
 <!ENTITY lfs-domainname       "linuxfromscratch.org">
 
@@ -27,21 +20,21 @@
 
 
-<!ENTITY lfs-website          "https://www.&lfs-domainname;">
+<!ENTITY lfs-website          "http://www.&lfs-domainname;">
 <!-- downloads_root must have an entity because it is needed for scripts
      change svn to x.y for release. Note:  s/_/-/ in comment to avoid grep error 
      Update 'downloads-root-systemd' to x.y-systemd
      -->
-<!ENTITY downloads-root       "https://www.linuxfromscratch.org/blfs/downloads/svn">
-<!ENTITY downloads-root-systemd "https://www.linuxfromscratch.org/blfs/downloads/systemd">
-<!ENTITY downloads-project    "https://downloads.&lfs-domainname;">
+<!ENTITY downloads-root       "http://www.linuxfromscratch.org/blfs/downloads/svn">
+<!ENTITY downloads-root-systemd "http://www.linuxfromscratch.org/blfs/downloads/systemd">
+<!ENTITY downloads-project    "http://downloads.&lfs-domainname;">
 
-<!ENTITY sources-anduin-http  "https://anduin.linuxfromscratch.org/BLFS">
+<!ENTITY sources-anduin-http  "http://anduin.linuxfromscratch.org/BLFS">
 <!ENTITY sources-anduin-ftp   "ftp://anduin.linuxfromscratch.org/BLFS">
 
-<!ENTITY hints-root           "https://www.&lfs-domainname;/hints">
-<!ENTITY patch-downloads      "https://www.linuxfromscratch.org/patches/downloads">
-<!ENTITY patch-root           "https://www.&lfs-domainname;/patches/blfs/svn">
-<!ENTITY errata               "https://www.&lfs-domainname;/blfs/errata/&blfs-version;/">
-<!ENTITY blfs-ticket-root     "https://wiki.&lfs-domainname;/blfs/ticket/">
+<!ENTITY hints-root           "http://www.&lfs-domainname;/hints">
+<!ENTITY patch-downloads      "http://www.linuxfromscratch.org/patches/downloads">
+<!ENTITY patch-root           "http://www.&lfs-domainname;/patches/blfs/svn">
+<!ENTITY errata               "http://www.&lfs-domainname;/blfs/errata/&blfs-version;/">
+<!ENTITY blfs-ticket-root     "http://wiki.&lfs-domainname;/blfs/ticket/">
 
 <!ENTITY lfs-root             "../../../../lfs/view/&lfs-version;">
@@ -82,9 +75,5 @@
 <!ENTITY lfs-gdbm-version             "1.11">
 <!ENTITY lfs-m4-version               "1.4.17">
-<!-- FIXME - please check the included version of
- List/Utils when upgrading the perl version.
- Scalar-List-Utils is in perl-deps because List-AllUtils
- needs a newer version at runtime than is in 5.34.0 -->
-<!ENTITY lfs-perl-version             "5.34"> <!-- used in git -->
+<!ENTITY lfs-perl-version             "5.32"> <!-- used in git -->
 <!-- this was originally the perl version used by the corresponding
  version of lfs, in those days always for i686, but now BLFS is a rolling
@@ -95,18 +84,18 @@
 <!-- End LFS versions -->
 
-<!ENTITY blfs-bootscripts-version     "20210826">
-<!ENTITY systemd-units-version        "20210819">
+<!ENTITY blfs-bootscripts-version     "20201002">
+<!ENTITY systemd-units-version        "20200828">
 
-<!ENTITY blfs-wiki                    "https://wiki.&lfs-domainname;/blfs/wiki">
+
+<!ENTITY blfs-wiki                    "http://wiki.&lfs-domainname;/blfs/wiki">
 
 <!-- These entities are used to annotate the current status of a package as it
      relates to the version of LFS it will build/work against -->
 
-<!ENTITY lfs110a_checked       "<para>This package is known to build and work
-                              properly using an LFS-11.0 platform.</para>">
-<!--
-<!ENTITY lfs110a_built         "<para>This package is known to build using an LFS
-                              11.0 platform but has not been tested.</para>">
--->
+<!ENTITY lfs10_checked        "<para>This package is known to build and work
+                              properly using an LFS-10.0 platform.</para>">
+<!ENTITY lfs10_built          "<para>This package is known to build using an LFS
+                              10.0 platform but has not been tested.</para>">
+
 <!-- End special entities about LFS compatibility -->
 
Index: gnome.ent
===================================================================
--- gnome.ent	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ gnome.ent	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,2 +1,4 @@
+<!-- $LastChangedBy$ $Date$ -->
+
 <!ENTITY gnome-download-http  "https://download.gnome.org/sources">
 <!ENTITY gnome-download-ftp   "ftp://ftp.acc.umu.se/pub/gnome/sources">
@@ -11,63 +13,61 @@
 <!ENTITY gnome-minor-36       "3.36">
 <!ENTITY gnome-minor-38       "3.38">
-<!ENTITY gnome-minor-40       "3.40">
-<!ENTITY gnome-40             "40">
-<!-- See about removing some of the above entities after 40.0 is in. -->
+<!-- See about removing some of the above entities after 3.32 is in. -->
 
 <!-- Chapter 30 -->
 <!-- Platform -->
-<!ENTITY gcr-version                       "3.40.0">
-<!ENTITY gsettings-desktop-schemas-version "40.0">
+<!ENTITY gcr-version                       "3.38.0">
+<!ENTITY gsettings-desktop-schemas-version "3.38.0">
 <!ENTITY libsecret-version                 "0.20.4">
 <!ENTITY rest-version                      "0.8.1">
-<!ENTITY totem-pl-parser-version           "3.26.6">
-<!ENTITY vte-version                       "0.64.2">
-<!ENTITY yelp-xsl-version                  "40.2">
+<!ENTITY totem-pl-parser-version           "3.26.5">
+<!ENTITY vte-version                       "0.62.1">
+<!ENTITY yelp-xsl-version                  "3.38.2">
 <!ENTITY GConf-version                     "3.2.6">
 <!ENTITY geocode-glib-version              "3.26.2">
-<!ENTITY gjs-version                       "1.68.3">
-<!ENTITY gnome-autoar-version              "0.4.0">
-<!ENTITY gnome-desktop-version             "40.4">
+<!ENTITY gjs-version                       "1.66.1">
+<!ENTITY gnome-autoar-version              "0.2.4">
+<!ENTITY gnome-desktop-version             "3.38.2">
 <!ENTITY gnome-menus-version               "3.36.0">
 <!ENTITY gnome-video-effects-version       "0.5.0">
-<!ENTITY gnome-online-accounts-version     "3.40.0">
+<!ENTITY gnome-online-accounts-version     "3.38.0">
 <!ENTITY grilo-version                     "0.3.13">
 <!ENTITY libchamplain-version              "0.12.20">
-<!ENTITY libgdata-version                  "0.18.1">
-<!ENTITY libgee-version                    "0.20.4">
+<!ENTITY libgdata-version                  "0.17.13">
+<!ENTITY libgee-version                    "0.20.3">
 <!ENTITY libgtop-version                   "2.40.0">
-<!ENTITY libgweather-version               "40.0">
-<!ENTITY libpeas-version                   "1.30.0">
-<!ENTITY libwnck-version                   "40.0">
-<!ENTITY evolution-data-server-version     "3.40.4">
-<!ENTITY folks-version                     "0.15.3">
+<!ENTITY libgweather-version               "3.36.1">
+<!ENTITY libpeas-version                   "1.28.0">
+<!ENTITY libwnck-version                   "3.36.0">
+<!ENTITY evolution-data-server-version     "3.38.2">
+<!ENTITY folks-version                     "0.14.0">
 <!ENTITY gfbgraph-version                  "0.2.4">
-<!--<!ENTITY tracker-version                   "2.3.6">-->
-<!ENTITY tracker3-version                  "3.1.2">
-<!--<!ENTITY tracker-miners-version            "2.3.5">-->
-<!ENTITY tracker3-miners-version           "3.1.2">
-<!ENTITY gsound-version                    "1.0.3">
+<!ENTITY tracker-version                   "2.3.6">
+<!ENTITY tracker3-version                  "3.0.2">
+<!ENTITY tracker-miners-version            "2.3.5">
+<!ENTITY tracker3-miners-version           "3.0.3">
+<!ENTITY gsound-version                    "1.0.2">
 
 <!-- Runtime (sysv) and Desktop (systemd) -->
 <!--<!ENTITY caribou-version                   "0.4.21">-->
-<!ENTITY dconf-version                     "0.40.0">
-<!ENTITY dconf-editor-version              "3.38.3">
-<!ENTITY gnome-backgrounds-version         "40.1">
-<!ENTITY gvfs-version                      "1.48.1">
-<!ENTITY gexiv2-version                    "0.12.3">
-<!ENTITY nautilus-version                  "40.2">
+<!ENTITY dconf-version                     "0.38.0">
+<!ENTITY dconf-editor-version              "3.38.2">
+<!ENTITY gnome-backgrounds-version         "3.38.0">
+<!ENTITY gvfs-version                      "1.46.1">
+<!ENTITY gexiv2-version                    "0.12.1">
+<!ENTITY nautilus-version                  "3.38.2">
 <!ENTITY zenity-version                    "3.32.0">
-<!ENTITY gnome-bluetooth-version           "3.34.5">
-<!ENTITY gnome-keyring-version             "40.0">
-<!ENTITY gnome-settings-daemon-version     "40.0.1">
-<!ENTITY gnome-control-center-version      "40.0">
-<!ENTITY mutter-version                    "40.4">
-<!ENTITY gnome-shell-version               "40.4">
-<!ENTITY gnome-shell-extensions-version    "40.4">
-<!ENTITY gnome-session-version             "40.1.1">
-<!ENTITY gdm-version                       "40.1">
-<!ENTITY gnome-user-docs-version           "40.4">
+<!ENTITY gnome-bluetooth-version           "3.34.3">
+<!ENTITY gnome-keyring-version             "3.36.0">
+<!ENTITY gnome-settings-daemon-version     "3.38.1">
+<!ENTITY gnome-control-center-version      "3.38.2">
+<!ENTITY mutter-version                    "3.38.2">
+<!ENTITY gnome-shell-version               "3.38.2">
+<!ENTITY gnome-shell-extensions-version    "3.38.2">
+<!ENTITY gnome-session-version             "3.38.0">
+<!ENTITY gdm-version                       "3.38.2.1">
+<!ENTITY gnome-user-docs-version           "3.38.2">
 <!-- Icons moved to packages.ent, since they're now in the Icons chapter.-->
-<!ENTITY yelp-version                      "40.3">
+<!ENTITY yelp-version                      "3.38.2">
 <!-- notification-daemon moved to System Utilites, so it's now in packages.ent -->
 <!-- polkit-gnome moved to Security, so it's now in packages.ent -->
@@ -75,30 +75,27 @@
 <!-- Chapter 31 -->
 <!-- Applications -->
-<!ENTITY baobab-version                    "40.0">
+<!ENTITY baobab-version                    "3.38.0">
 <!ENTITY brasero-version                   "3.12.2">
 <!ENTITY cheese-version                    "3.38.0">
-<!ENTITY eog-version                       "40.3">
-<!ENTITY evince-version                    "40.4">
-<!ENTITY evolution-version                 "3.40.4">
-<!ENTITY file-roller-version               "3.40.0">
+<!ENTITY eog-version                       "3.38.1">
+<!ENTITY evince-version                    "3.38.0">
+<!ENTITY evolution-version                 "3.38.2">
+<!ENTITY file-roller-version               "3.38.0">
 <!-- gedit moved to Editors, so it's now in packages.ent -->
-<!ENTITY gnome-calculator-version          "40.1">
+<!ENTITY gnome-calculator-version          "3.38.2">
 <!ENTITY gnome-color-manager-version       "3.36.0">
-<!ENTITY gnome-disk-utility-version        "40.2">
+<!ENTITY gnome-disk-utility-version        "3.38.1">
 <!ENTITY gnome-logs-version                "3.36.0">
-<!ENTITY gnome-maps-version                "40.4">
+<!ENTITY gnome-maps-version                "3.38.2">
 <!ENTITY gnome-nettool-version             "3.8.1">
 <!ENTITY gnome-power-manager-version       "3.32.0">
-<!ENTITY gnome-screenshot-version          "40.0">
-<!ENTITY gnome-system-monitor-version      "40.1">
-<!ENTITY gnome-terminal-version            "3.40.3">
-<!ENTITY gnome-tweaks-version              "40.0">
-<!ENTITY gnome-weather-version             "40.1">
-<!--ENTITY gucharmap-version                 "13.0.8"-->
-<!-- "major" version also used for links to unicode downloads -->
-<!ENTITY gucharmap-major-version         "13.0">
-<!ENTITY gucharmap-version               "&gucharmap-major-version;.8">
+<!ENTITY gnome-screenshot-version          "3.38.0">
+<!ENTITY gnome-system-monitor-version      "3.38.0">
+<!ENTITY gnome-terminal-version            "3.38.1">
+<!ENTITY gnome-tweaks-version              "3.34.1">
+<!ENTITY gnome-weather-version             "3.36.1">
+<!ENTITY gucharmap-version                 "12.0.1">
 <!-- nm-applet moved to Networking Utilities, so it's now in packages.ent -->
-<!ENTITY seahorse-version                  "40.0">
+<!ENTITY seahorse-version                  "3.38.0.1">
 <!ENTITY vinagre-version                   "3.22.0">
 <!--<!ENTITY vino-version                      "3.22.0">-->
Index: obfuscate.sh
===================================================================
--- obfuscate.sh	(revision c94264543192314f7443c25daf72b1130d570dc8)
+++ obfuscate.sh	(revision 45b31bb9a8735a5e094da68b03b225c84f87a460)
@@ -1,3 +1,6 @@
 #!/bin/bash
+
+# $LastChangedBy$
+# $Date$
 
 # obfuscate.sh
